LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XRowSetListener Interface Referencepublished

is used for receiving "cursorMoved", "rowChanged", and "rowSetChanged" events posted by, for example, a row set. More...

`import"XRowSetListener.idl";`

Inheritance diagram for XRowSetListener:

## Public Member Functions
void | cursorMoved ([in]com::sun::star::lang::EventObject event)
| is called when a row set's cursor is moved. More...
void | rowChanged ([in]com::sun::star::lang::EventObject event)
| is called when a row is inserted, updated, or deleted. More...
void | rowSetChanged ([in]com::sun::star::lang::EventObject event)
| is called when the row set has changed, or in other words, when the row set has been reexecuted. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for receiving "cursorMoved", "rowChanged", and "rowSetChanged" events posted by, for example, a row set.

Developers Guide
  Database Access - Events and Other Notifications

## Member Function Documentation

## ◆ cursorMoved()

void cursorMoved | ( | [in] com::sun::star::lang::EventObject | event | ) |

is called when a row set's cursor is moved.

Parameters

  event | contains information about the event

## ◆ rowChanged()

void rowChanged | ( | [in] com::sun::star::lang::EventObject | event | ) |

is called when a row is inserted, updated, or deleted.

Parameters

  event | contains information about the event

Deprecated:

See also
  com::sun::star::sdb::XRowsChangeListener

## ◆ rowSetChanged()

void rowSetChanged | ( | [in] com::sun::star::lang::EventObject | event | ) |

is called when the row set has changed, or in other words, when the row set has been reexecuted.

Parameters

  event | contains information about the event

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XRowSetListener.idl